Subject: bug#67150: eglot with typescript language server >= 4.1.0

From: João Távora <[email-masked]>
Date: Mon, 13 Nov 2023 16:37:35 +0000

Hello Rajeev,

You need to provide more information about this problem.

See https://joaotavora.github.io/eglot/#Troubleshooting-Eglot

I read that thread and the server author thinks is it "likely"
that Eglot sent the wrong language ID.  That may be, but even if so,
there may be many reasons why it happened.

>From what I can tell in the code, the language id for .tsx files in tsx-mode
or tsx-ts-mode is correctly calculated.

But I don't even know what version of Emacs you have,  what your
configuration is, etc...  All these things are described in the link above.

João

On Mon, Nov 13, 2023 at 3:25 PM Rajeev N via Bug reports for GNU
Emacs, the Swiss army knife of text editors <[email-masked]>
wrote:
>
> typescript language server didOpen fails for .tsx with "Cannot open document"
>
> https://github.com/typescript-language-server/typescript-language-server/issues/794

-- 
João Távora